> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Balances

> Retrieve token balances for the specified account



## OpenAPI

````yaml GET /api/grid/v1/accounts/{address}/balances
openapi: 3.1.0
info:
  title: Grid v1 API
  description: Grid v1 REST API for Solana-based smart account system
  contact:
    name: Grid API Support
    url: https://squads.so
    email: support@squads.so
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz
    description: Production server
security:
  - bearer_auth: []
tags:
  - name: accounts
    description: Smart account management operations
  - name: spending-limits
    description: Spending limit management
  - name: standing-orders
    description: Standing order operations
  - name: transactions
    description: Transaction management
  - name: trade
    description: Trade operations and management
  - name: payments
    description: Payment intent operations
  - name: passkeys
    description: Passkey management
  - name: kyc
    description: Know Your Customer operations
  - name: external-accounts
    description: External bank account management
  - name: virtual-accounts
    description: Virtual account management
  - name: auth
    description: Authentication operations
  - name: proposals
    description: Proposal management for multi-sig operations
  - name: compliance
    description: Compliance entity management and KYB/KYC operations
paths:
  /api/grid/v1/accounts/{address}/balances:
    get:
      tags:
        - accounts
      operationId: handler
      parameters:
        - name: address
          in: path
          description: Smart account address (Solana public key)
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: 'Number of items to return (default: 10)'
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: page
          in: query
          description: 'Page number for pagination (default: 1)'
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: x-grid-environment
          in: header
          description: Solana network environment (sandbox, devnet, mainnet)
          required: true
          schema:
            type: string
          example: sandbox
      responses:
        '200':
          description: Account balances retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GridApiResponse_GetAccountBalancesResponsePayload
        '400':
          description: Invalid request parameters
        '404':
          description: Smart account not found
        '500':
          description: Internal server error
      security:
        - bearer_auth: []
components:
  schemas:
    GridApiResponse_GetAccountBalancesResponsePayload:
      type: object
      required:
        - data
        - metadata
      properties:
        data:
          type: object
          required:
            - address
            - lamports
            - sol
            - tokens
          properties:
            address:
              type: string
            lamports:
              type: integer
              format: int64
              minimum: 0
            sol:
              type: number
              format: double
            tokens:
              type: array
              items:
                $ref: '#/components/schemas/TokenBalance'
        metadata:
          $ref: '#/components/schemas/Metadata'
    TokenBalance:
      type: object
      required:
        - token_address
      properties:
        amount:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        amount_decimal:
          type:
            - string
            - 'null'
        decimals:
          type:
            - integer
            - 'null'
          format: int32
        logo_url:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        symbol:
          type:
            - string
            - 'null'
        token_address:
          type: string
    Metadata:
      type: object
      required:
        - request_id
        - timestamp
      properties:
        request_id:
          type: string
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: Your Grid API key from the Grid Dashboard

````